| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__PrefixAccessCodeEntry Struct Reference
Prefix Access Code

Prefix Access Code entry. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsp__digits | digits
| Prefix Access Code Digits. More...
int * | dnMinLen
| The minimum length of the digits used for digit matching. More...
int * | dnMaxLen
| The maximum length of the digits used for digit matching. More...
enum unsp__PACprefixType * | prefixType
| Indicates the type of prefix and access code. More...
enum unsp__PACDestType * | destType
| Indicates the destination type. More...
char * | destName
| Indicates the destination name. More...
enum unsp__PACNatureOfAddress * | natureOfAddress
| Indicates the nature of address. More...

## Detailed Description

Prefix Access Code entry.

## Member Data Documentation

## ◆ destName

char* unsp__PrefixAccessCodeEntry::destName

Indicates the destination name.

See also
  unsp__DestName

## ◆ destType

enum unsp__PACDestType* unsp__PrefixAccessCodeEntry::destType

Indicates the destination type.

default value[range]: NA

## ◆ digits

unsp__digits unsp__PrefixAccessCodeEntry::digits

Prefix Access Code Digits.

default value[range]: NA [1..15]

## ◆ dnMaxLen

int* unsp__PrefixAccessCodeEntry::dnMaxLen

The maximum length of the digits used for digit matching.

default value[range]: NA [1..30]

## ◆ dnMinLen

int* unsp__PrefixAccessCodeEntry::dnMinLen

The minimum length of the digits used for digit matching.

default value[range]: NA [1..30]

## ◆ natureOfAddress

enum unsp__PACNatureOfAddress* unsp__PrefixAccessCodeEntry::natureOfAddress

Indicates the nature of address.

default value[range]: NA

## ◆ prefixType

enum unsp__PACprefixType* unsp__PrefixAccessCodeEntry::prefixType

Indicates the type of prefix and access code.

default value[range]: NA

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h